Open MCP Portaldocs
ReferenceAdmin

One auth provider (platform admins and auditors)

GET/v1/admin/auth-providers/{providerId}

Path Parameters

providerId*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/auth-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "github",    "name": "GitHub",    "kind": "oauth2",    "preset": "github",    "enabled": true,    "clientId": "string",    "hasClientSecret": true,    "clientSecretHint": "string",    "tokenAuthMethod": "client_secret_basic",    "pkce": true,    "authorizationUrl": "https://github.com/login/oauth/authorize",    "tokenUrl": "https://github.com/login/oauth/access_token",    "revocationUrl": "string",    "userinfoUrl": "string",    "defaultScopes": [      "string"    ],    "scopeParam": "string",    "scopeSeparator": " ",    "tokenResponseFormat": "standard",    "extraAuthorizeParams": {      "property1": "string",      "property2": "string"    },    "logoUrl": "string",    "redirectUri": "https://mcp.example.com/connect/callback",    "serverCount": 0,    "connectionCount": 0,    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "createdByName": "string"  }}